> ## Documentation Index
> Fetch the complete documentation index at: https://docs.draftt.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an imported component by ID

> Deletes a single component. Only imported components (e.g. components created by SBOM ingestion) can be deleted.



## OpenAPI

````yaml https://api.draftt.io/swagger delete /component/{componentId}
openapi: 3.1.0
info:
  title: Draftt API
  version: 0.2.1
servers:
  - url: https://api.draftt.io/v1
security:
  - BearerAuth: []
paths:
  /component/{componentId}:
    delete:
      tags:
        - Component
      summary: Delete an imported component by ID
      description: >-
        Deletes a single component. Only imported components (e.g. components
        created by SBOM ingestion) can be deleted.
      operationId: deleteComponent
      parameters:
        - name: componentId
          in: path
          required: true
          description: The numeric ID of the component
          schema:
            type: string
            pattern: ^[0-9]+$
            example: '4410570493728488651'
      responses:
        '204':
          description: Component deleted successfully
        '400':
          description: Only imported components can be deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          description: Component not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          $ref: '#/components/responses/TooManyRequests'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - error
  responses:
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.